/****************************************************************************
**
** Copyright (C) 2017 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the Qt Virtual Keyboard module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

var unipenData = {
    "0xad6d": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    379,
                    53,
                    0
                ],
                [
                    380,
                    53,
                    155
                ],
                [
                    382,
                    53,
                    177
                ],
                [
                    385,
                    53,
                    179
                ],
                [
                    391,
                    53,
                    243
                ],
                [
                    400,
                    53,
                    244
                ],
                [
                    421,
                    55,
                    311
                ],
                [
                    437,
                    55,
                    313
                ],
                [
                    441,
                    55,
                    315
                ],
                [
                    448,
                    55,
                    365
                ],
                [
                    454,
                    55,
                    366
                ],
                [
                    461,
                    55,
                    370
                ],
                [
                    467,
                    54,
                    426
                ],
                [
                    472,
                    54,
                    427
                ],
                [
                    475,
                    54,
                    486
                ],
                [
                    477,
                    54,
                    487
                ],
                [
                    478,
                    54,
                    490
                ],
                [
                    479,
                    54,
                    548
                ],
                [
                    480,
                    54,
                    549
                ],
                [
                    482,
                    54,
                    610
                ],
                [
                    485,
                    54,
                    610
                ],
                [
                    488,
                    54,
                    670
                ],
                [
                    489,
                    54,
                    731
                ],
                [
                    489,
                    55,
                    939
                ],
                [
                    489,
                    56,
                    1003
                ],
                [
                    489,
                    60,
                    1004
                ],
                [
                    489,
                    64,
                    1064
                ],
                [
                    489,
                    66,
                    1065
                ],
                [
                    489,
                    72,
                    1124
                ],
                [
                    489,
                    75,
                    1125
                ],
                [
                    489,
                    79,
                    1131
                ],
                [
                    489,
                    81,
                    1184
                ],
                [
                    489,
                    86,
                    1185
                ],
                [
                    489,
                    91,
                    1245
                ],
                [
                    489,
                    92,
                    1246
                ],
                [
                    489,
                    97,
                    1306
                ],
                [
                    489,
                    99,
                    1307
                ],
                [
                    489,
                    101,
                    1366
                ],
                [
                    489,
                    102,
                    1367
                ],
                [
                    489,
                    103,
                    1427
                ],
                [
                    489,
                    105,
                    1429
                ],
                [
                    489,
                    106,
                    1500
                ],
                [
                    489,
                    107,
                    1549
                ],
                [
                    489,
                    108,
                    1550
                ],
                [
                    489,
                    109,
                    1614
                ]
            ],
            [
                [
                    383,
                    113,
                    2999
                ],
                [
                    384,
                    113,
                    3259
                ],
                [
                    385,
                    112,
                    3291
                ],
                [
                    386,
                    112,
                    3360
                ],
                [
                    399,
                    112,
                    3361
                ],
                [
                    412,
                    112,
                    3389
                ],
                [
                    434,
                    112,
                    3449
                ],
                [
                    440,
                    112,
                    3450
                ],
                [
                    451,
                    112,
                    3451
                ],
                [
                    455,
                    112,
                    3510
                ],
                [
                    479,
                    111,
                    3511
                ],
                [
                    493,
                    110,
                    3574
                ],
                [
                    506,
                    109,
                    3576
                ],
                [
                    513,
                    109,
                    3632
                ],
                [
                    515,
                    109,
                    3633
                ],
                [
                    516,
                    109,
                    3636
                ]
            ],
            [
                [
                    430,
                    115,
                    5767
                ],
                [
                    430,
                    116,
                    5851
                ],
                [
                    432,
                    120,
                    5884
                ],
                [
                    433,
                    123,
                    5937
                ],
                [
                    433,
                    127,
                    5938
                ],
                [
                    434,
                    130,
                    6000
                ],
                [
                    434,
                    133,
                    6002
                ],
                [
                    435,
                    139,
                    6058
                ],
                [
                    435,
                    141,
                    6059
                ],
                [
                    435,
                    142,
                    6124
                ],
                [
                    435,
                    143,
                    6523
                ]
            ],
            [
                [
                    393,
                    151,
                    7943
                ],
                [
                    394,
                    151,
                    8099
                ],
                [
                    399,
                    150,
                    8124
                ],
                [
                    412,
                    150,
                    8184
                ],
                [
                    422,
                    150,
                    8185
                ],
                [
                    438,
                    150,
                    8245
                ],
                [
                    448,
                    150,
                    8246
                ],
                [
                    465,
                    149,
                    8305
                ],
                [
                    478,
                    149,
                    8306
                ],
                [
                    485,
                    149,
                    8366
                ],
                [
                    487,
                    149,
                    8366
                ],
                [
                    488,
                    149,
                    8432
                ],
                [
                    489,
                    149,
                    8490
                ],
                [
                    491,
                    149,
                    8492
                ],
                [
                    492,
                    149,
                    8549
                ],
                [
                    492,
                    150,
                    8835
                ],
                [
                    492,
                    152,
                    8882
                ],
                [
                    492,
                    155,
                    8883
                ],
                [
                    492,
                    159,
                    8944
                ],
                [
                    492,
                    163,
                    8945
                ],
                [
                    492,
                    168,
                    9005
                ],
                [
                    491,
                    173,
                    9005
                ],
                [
                    491,
                    177,
                    9067
                ],
                [
                    490,
                    182,
                    9068
                ],
                [
                    490,
                    188,
                    9126
                ],
                [
                    490,
                    192,
                    9126
                ],
                [
                    490,
                    193,
                    9130
                ],
                [
                    490,
                    196,
                    9188
                ],
                [
                    490,
                    198,
                    9247
                ],
                [
                    490,
                    200,
                    9247
                ],
                [
                    490,
                    202,
                    9307
                ],
                [
                    490,
                    203,
                    9308
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1032,
        ".X_POINTS_PER_INCH": 94,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 94
    },
    "0xc5b4": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    569,
                    64,
                    0
                ],
                [
                    568,
                    64,
                    53
                ],
                [
                    565,
                    64,
                    54
                ],
                [
                    559,
                    64,
                    114
                ],
                [
                    553,
                    65,
                    115
                ],
                [
                    545,
                    66,
                    174
                ],
                [
                    533,
                    71,
                    175
                ],
                [
                    526,
                    79,
                    242
                ],
                [
                    522,
                    87,
                    245
                ],
                [
                    520,
                    92,
                    246
                ],
                [
                    519,
                    94,
                    296
                ],
                [
                    517,
                    103,
                    297
                ],
                [
                    516,
                    114,
                    357
                ],
                [
                    518,
                    130,
                    358
                ],
                [
                    520,
                    141,
                    417
                ],
                [
                    522,
                    146,
                    418
                ],
                [
                    524,
                    152,
                    478
                ],
                [
                    528,
                    159,
                    479
                ],
                [
                    533,
                    165,
                    540
                ],
                [
                    536,
                    169,
                    541
                ],
                [
                    538,
                    171,
                    601
                ],
                [
                    543,
                    174,
                    601
                ],
                [
                    544,
                    175,
                    604
                ],
                [
                    545,
                    175,
                    662
                ],
                [
                    549,
                    175,
                    664
                ],
                [
                    557,
                    174,
                    723
                ],
                [
                    564,
                    170,
                    727
                ],
                [
                    570,
                    164,
                    789
                ],
                [
                    578,
                    159,
                    793
                ],
                [
                    581,
                    155,
                    849
                ],
                [
                    584,
                    151,
                    849
                ],
                [
                    586,
                    147,
                    852
                ],
                [
                    588,
                    143,
                    904
                ],
                [
                    588,
                    137,
                    905
                ],
                [
                    590,
                    131,
                    907
                ],
                [
                    590,
                    125,
                    965
                ],
                [
                    590,
                    115,
                    966
                ],
                [
                    589,
                    109,
                    997
                ],
                [
                    585,
                    98,
                    1029
                ],
                [
                    583,
                    88,
                    1030
                ],
                [
                    580,
                    83,
                    1089
                ],
                [
                    576,
                    75,
                    1091
                ],
                [
                    576,
                    73,
                    1092
                ],
                [
                    572,
                    70,
                    1151
                ],
                [
                    568,
                    65,
                    1153
                ],
                [
                    568,
                    64,
                    1209
                ],
                [
                    567,
                    64,
                    1453
                ]
            ],
            [
                [
                    592,
                    124,
                    2520
                ],
                [
                    593,
                    124,
                    2621
                ],
                [
                    595,
                    123,
                    2645
                ],
                [
                    601,
                    123,
                    2711
                ],
                [
                    607,
                    122,
                    2712
                ],
                [
                    614,
                    122,
                    2779
                ],
                [
                    618,
                    122,
                    2781
                ],
                [
                    622,
                    121,
                    2840
                ],
                [
                    623,
                    121,
                    2957
                ],
                [
                    624,
                    121,
                    3045
                ],
                [
                    625,
                    120,
                    3236
                ]
            ],
            [
                [
                    614,
                    42,
                    3848
                ],
                [
                    614,
                    45,
                    3896
                ],
                [
                    614,
                    47,
                    3897
                ],
                [
                    614,
                    54,
                    3900
                ],
                [
                    615,
                    63,
                    3958
                ],
                [
                    617,
                    76,
                    3958
                ],
                [
                    619,
                    92,
                    4017
                ],
                [
                    620,
                    100,
                    4018
                ],
                [
                    620,
                    115,
                    4078
                ],
                [
                    620,
                    133,
                    4079
                ],
                [
                    618,
                    141,
                    4084
                ],
                [
                    616,
                    153,
                    4138
                ],
                [
                    616,
                    157,
                    4139
                ],
                [
                    615,
                    169,
                    4200
                ],
                [
                    614,
                    176,
                    4201
                ],
                [
                    614,
                    178,
                    4205
                ],
                [
                    613,
                    184,
                    4260
                ],
                [
                    613,
                    188,
                    4261
                ],
                [
                    613,
                    190,
                    4420
                ],
                [
                    613,
                    191,
                    4540
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1032,
        ".X_POINTS_PER_INCH": 94,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 94
    },
    "0xd55c": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    169,
                    59,
                    0
                ],
                [
                    171,
                    59,
                    148
                ],
                [
                    175,
                    59,
                    170
                ],
                [
                    183,
                    59,
                    228
                ],
                [
                    197,
                    59,
                    229
                ],
                [
                    210,
                    59,
                    288
                ],
                [
                    223,
                    61,
                    289
                ],
                [
                    233,
                    61,
                    292
                ],
                [
                    241,
                    61,
                    350
                ],
                [
                    252,
                    62,
                    350
                ],
                [
                    260,
                    62,
                    418
                ],
                [
                    265,
                    62,
                    419
                ],
                [
                    266,
                    62,
                    748
                ]
            ],
            [
                [
                    224,
                    27,
                    1367
                ],
                [
                    223,
                    27,
                    1414
                ],
                [
                    222,
                    34,
                    1444
                ],
                [
                    222,
                    39,
                    1502
                ],
                [
                    223,
                    46,
                    1503
                ],
                [
                    223,
                    47,
                    1508
                ],
                [
                    223,
                    50,
                    1566
                ],
                [
                    224,
                    53,
                    1568
                ],
                [
                    224,
                    56,
                    1629
                ],
                [
                    224,
                    57,
                    1630
                ],
                [
                    225,
                    59,
                    1630
                ],
                [
                    225,
                    61,
                    1686
                ],
                [
                    225,
                    62,
                    1687
                ]
            ],
            [
                [
                    244,
                    82,
                    3184
                ],
                [
                    243,
                    81,
                    3259
                ],
                [
                    242,
                    81,
                    3285
                ],
                [
                    238,
                    80,
                    3349
                ],
                [
                    225,
                    80,
                    3350
                ],
                [
                    210,
                    80,
                    3412
                ],
                [
                    198,
                    82,
                    3414
                ],
                [
                    192,
                    84,
                    3474
                ],
                [
                    186,
                    88,
                    3476
                ],
                [
                    184,
                    90,
                    3478
                ],
                [
                    180,
                    95,
                    3532
                ],
                [
                    178,
                    100,
                    3533
                ],
                [
                    178,
                    109,
                    3595
                ],
                [
                    178,
                    117,
                    3598
                ],
                [
                    181,
                    125,
                    3657
                ],
                [
                    186,
                    130,
                    3658
                ],
                [
                    194,
                    136,
                    3716
                ],
                [
                    197,
                    137,
                    3717
                ],
                [
                    199,
                    137,
                    3775
                ],
                [
                    202,
                    137,
                    3776
                ],
                [
                    204,
                    137,
                    3780
                ],
                [
                    206,
                    137,
                    3835
                ],
                [
                    223,
                    135,
                    3836
                ],
                [
                    234,
                    133,
                    3897
                ],
                [
                    240,
                    130,
                    3898
                ],
                [
                    242,
                    129,
                    3900
                ],
                [
                    244,
                    128,
                    3958
                ],
                [
                    251,
                    120,
                    3959
                ],
                [
                    253,
                    117,
                    4017
                ],
                [
                    253,
                    114,
                    4020
                ],
                [
                    253,
                    110,
                    4081
                ],
                [
                    251,
                    104,
                    4083
                ],
                [
                    249,
                    99,
                    4140
                ],
                [
                    247,
                    95,
                    4141
                ],
                [
                    243,
                    89,
                    4205
                ],
                [
                    242,
                    86,
                    4206
                ],
                [
                    242,
                    85,
                    4212
                ],
                [
                    241,
                    84,
                    4284
                ],
                [
                    240,
                    84,
                    4324
                ],
                [
                    239,
                    84,
                    4596
                ]
            ],
            [
                [
                    177,
                    144,
                    6344
                ],
                [
                    178,
                    144,
                    6573
                ],
                [
                    178,
                    146,
                    6600
                ],
                [
                    179,
                    148,
                    6604
                ],
                [
                    179,
                    150,
                    6657
                ],
                [
                    180,
                    153,
                    6658
                ],
                [
                    181,
                    160,
                    6719
                ],
                [
                    182,
                    167,
                    6720
                ],
                [
                    183,
                    176,
                    6779
                ],
                [
                    184,
                    182,
                    6780
                ],
                [
                    184,
                    185,
                    6840
                ],
                [
                    185,
                    189,
                    6841
                ],
                [
                    186,
                    189,
                    7108
                ],
                [
                    195,
                    189,
                    7174
                ],
                [
                    206,
                    187,
                    7234
                ],
                [
                    213,
                    186,
                    7236
                ],
                [
                    219,
                    186,
                    7294
                ],
                [
                    224,
                    186,
                    7296
                ],
                [
                    233,
                    186,
                    7355
                ],
                [
                    241,
                    185,
                    7355
                ],
                [
                    252,
                    185,
                    7417
                ],
                [
                    262,
                    185,
                    7419
                ],
                [
                    268,
                    186,
                    7421
                ],
                [
                    276,
                    186,
                    7475
                ],
                [
                    281,
                    186,
                    7476
                ],
                [
                    289,
                    186,
                    7536
                ],
                [
                    290,
                    186,
                    7537
                ],
                [
                    291,
                    186,
                    7597
                ],
                [
                    292,
                    186,
                    7660
                ],
                [
                    293,
                    186,
                    7724
                ],
                [
                    294,
                    186,
                    7725
                ],
                [
                    295,
                    186,
                    8172
                ]
            ],
            [
                [
                    283,
                    25,
                    9136
                ],
                [
                    283,
                    26,
                    9220
                ],
                [
                    283,
                    27,
                    9244
                ],
                [
                    283,
                    33,
                    9299
                ],
                [
                    283,
                    41,
                    9300
                ],
                [
                    282,
                    53,
                    9359
                ],
                [
                    282,
                    65,
                    9359
                ],
                [
                    282,
                    78,
                    9420
                ],
                [
                    282,
                    92,
                    9421
                ],
                [
                    281,
                    115,
                    9481
                ],
                [
                    280,
                    124,
                    9482
                ],
                [
                    279,
                    133,
                    9484
                ],
                [
                    279,
                    135,
                    9542
                ],
                [
                    278,
                    142,
                    9542
                ],
                [
                    277,
                    148,
                    9605
                ],
                [
                    277,
                    150,
                    9607
                ],
                [
                    277,
                    151,
                    9764
                ],
                [
                    277,
                    153,
                    9816
                ],
                [
                    277,
                    154,
                    9876
                ],
                [
                    277,
                    153,
                    10124
                ],
                [
                    277,
                    151,
                    10180
                ]
            ],
            [
                [
                    282,
                    89,
                    10651
                ],
                [
                    283,
                    89,
                    10796
                ],
                [
                    286,
                    89,
                    10821
                ],
                [
                    288,
                    88,
                    10879
                ],
                [
                    291,
                    88,
                    10879
                ],
                [
                    294,
                    88,
                    10941
                ],
                [
                    295,
                    88,
                    10941
                ],
                [
                    297,
                    88,
                    11003
                ],
                [
                    298,
                    88,
                    11004
                ],
                [
                    299,
                    88,
                    11061
                ],
                [
                    300,
                    88,
                    11062
                ],
                [
                    301,
                    88,
                    11121
                ],
                [
                    302,
                    88,
                    11123
                ],
                [
                    303,
                    88,
                    11185
                ],
                [
                    304,
                    88,
                    11187
                ],
                [
                    305,
                    88,
                    11189
                ],
                [
                    306,
                    88,
                    11248
                ],
                [
                    307,
                    88,
                    11249
                ],
                [
                    309,
                    89,
                    11304
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1032,
        ".X_POINTS_PER_INCH": 94,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 94
    }
}
